- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Examples
- Try it!
Restart a stopped or failed migration job, resetting the destination instance to its original state and starting the migration process from scratch.
HTTP request
POST https://datamigration.googleapis.com/v1/{name}:restart
Path parameters
| Parameters | |
|---|---|
name |
Name of the migration job resource to restart. Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"skipValidation": boolean,
"objectsFilter": {
object ( |
| Fields | |
|---|---|
skipValidation |
Optional. Restart the migration job without running prior configuration verification. Defaults to |
objectsFilter |
Optional. The object filter to apply to the migration job. |
restartFailedObjects |
Optional. If true, only failed objects will be restarted. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
datamigration.migrationjobs.restart
For more information, see the IAM documentation.